org.apache.commons.math3.stat.clustering

## Interface Clusterable<T>

- Type Parameters:
    `T` - the type of point that can be clustered
  All Known Implementing Classes:
    EuclideanDoublePoint, EuclideanIntegerPoint

      public interface Clusterable<T>

  Interface for points that can be clustered together.
  Since:
    2.0
  Version:
    $Id: Clusterable.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `centroidOf(Collection<T> p)` Returns the centroid of the given Collection of points.
    `double` | `distanceFrom(T p)` Returns the distance from the given point.

- - ### Method Detail

    - #### distanceFrom

          double distanceFrom(T p)

      Returns the distance from the given point.
      Parameters:
        `p` - the point to compute the distance from
      Returns:
        the distance from the given point

    - #### centroidOf

          T centroidOf(Collection<T> p)

      Returns the centroid of the given Collection of points.
      Parameters:
        `p` - the Collection of points to compute the centroid of
      Returns:
        the centroid of the given Collection of Points

Copyright (c) 2003-2013 Apache Software Foundation